Skip to main content

GET /api/farcaster/address/{address}

User by ETH address

GET address data from farcaster service

Endpoint​

GET https://api.web3identity.com/api/farcaster/address/{address}

Parameters​

NameInTypeRequiredDescription
addresspathstringâś…Ethereum address (0x...)

Example Request​

curl -s "https://api.web3identity.com/api/farcaster/address/:address" | jq

Responses​

200 Success​

{
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"fid": 123,
"username": "user123",
"displayName": "Example User",
"pfpUrl": "https://i.imgur.com/example.png"
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required​

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec